Create transcribe
curl --request POST \
--url https://api.vidbeo.com/v2/transcribes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_id": "abcdee12345abcde12345a",
"language": "en-US",
"label": "English",
"kind": "subtitles"
}
'import requests
url = "https://api.vidbeo.com/v2/transcribes"
payload = {
"video_id": "abcdee12345abcde12345a",
"language": "en-US",
"label": "English",
"kind": "subtitles"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
video_id: 'abcdee12345abcde12345a',
language: 'en-US',
label: 'English',
kind: 'subtitles'
})
};
fetch('https://api.vidbeo.com/v2/transcribes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "abcde12345abcde12345a",
"video_id": "abcdee12345abcde12345a",
"language": "en-US",
"label": "English",
"kind": "subtitles",
"created_by": "abcde12345abcde12345a",
"created_time": "2024-01-01T00:00:00.000Z",
"updated_by": "abcde12345abcde12345a",
"updated_time": "2024-01-01T00:00:00.000Z"
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Invalid data sent"
}
]
}Transcribes
Create transcribe
Create a new transcribe
POST
/
transcribes
Create transcribe
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
21Example:
"abcdee12345abcde12345a"
Available options:
de-DE, en-AU, en-GB, en-US, es-ES, fr-FR, it-IT Example:
"en-US"
Required string length:
1 - 20Example:
"English"
Available options:
subtitles, captions Example:
"subtitles"
⌘I